QGIS Application - Bug report #21620
SAGA algorithms trying to execute the wrong command text?
2019-03-19 08:25 PM - Liam McRae

Status: Closed

Priority: Normal

Assignee:

Category: Processing/SAGA

Affected QGIS version:3.4.5 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corrupls data: Copied to github as #: 29436
Description

Have been having an issue since early QGIS 3 with all SAGA functions failing consistently. Best answer on StackOverflow and
suggestion that | report:

"For the Fixed distance buffer tool, the problem is a bug in the QGIS algorithm.

The SAGA command is: saga_cmd shapes_tools 18 [-SHAPES <str>] [-BUFFER <str>] [-DIST_FIELD <str>] [-DIST_FIELD_DEFAULT
<double>] [-DIST_SCALE <double>] [-DISSOLVE <str>] [-[NZONES <num>] [-POLY_INNER <str>] [-DARC <double>]

and the algorithm is trying to execute: saga_cmd shapes_tools "Shapes Buffer" [-SHAPES <str>] [-BUFFER <str>] [-DIST_FIELD <str>]
[-DIST_FIELD_DEFAULT <double>] [-DIST_SCALE <double>] [-DISSOLVE <str>] [-NZONES <num>] [-POLY_INNER <str>] [-DARC
<double>]

The issue must be reported.”

https://gis.stackexchange.com/questions/315414/qgis-saga-functions-failing-following-layers-not-correctly-generated/315420#315420

History

#1 - 2019-03-20 02:01 PM - Giovanni Manghi
- Status changed from Open to Feedback

works here on 3.4.5/windows.

Could you post the full log? Also try a new/clean profile.

#2 - 2019-05-23 05:48 AM - Alexander Bruy
- Resolution set to no timely feedback
- Status changed from Feedback to Closed

Works fine in master and latest 3.4
